Bug 1035462 - initial-setup-text only displays timezone spoke
initial-setup-text only displays timezone spoke
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: initial-setup (Show other bugs)
20
arm Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
AcceptedBlocker
:
Depends On:
Blocks: ARMTracker F20FinalBlocker
  Show dependency treegraph
 
Reported: 2013-11-27 15:11 EST by Paul Whalen
Modified: 2013-12-04 11:53 EST (History)
6 users (show)

See Also:
Fixed In Version: initial-setup-0.3.10.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-04 11:53:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Whalen 2013-11-27 15:11:34 EST
Description of problem:
initial-setup-text only displays the timezone spoke in F20 TC3.

Version-Release number of selected component (if applicable):
initial-setup-0.3.7-1.fc20

How reproducible:
everytime

Steps to Reproduce:
1. Boot a F20 TC3 Minimal image on ARM 

Actual results:
Only displays the timezone spoke. 

Expected results:
Display timezone, root password and user creation spokes. 

Additional info:
Working in F20 TC2
Comment 1 Adam Williamson 2013-11-27 15:26:16 EST
I note that https://admin.fedoraproject.org/updates/FEDORA-2013-20701/initial-setup-0.3.10-1.fc20 is languishing in updates-testing. Nothing about the Bodhi description or RPM changelog *screams* that it fixes this, but worth keeping in mind, I guess.
Comment 2 Adam Williamson 2013-11-27 15:33:08 EST
+1 blocker as described, this is a showstopper for ARM minimal. Alpha criterion "A working mechanism to create a user account must be clearly presented during installation and/or first boot of the installed system." - for this case there is no 'installation', only 'first boot', and we're not displaying the user account creation step, apparently.
Comment 3 Kevin Fenzi 2013-11-27 15:35:06 EST
+1 blocker
Comment 4 Tim Flink 2013-11-27 15:50:30 EST
+1 blocker as it violates the criterion listed in c#2.

That makes for +3, moving to accepted.
Comment 5 Jóhann B. Guðmundsson 2013-11-27 15:54:11 EST
+1 Blocker
Comment 6 Vratislav Podzimek 2013-11-28 04:44:54 EST
There has been no change in the initial-setup between TC2 and TC3. Updating anaconda from 20.25.9-1 to 20.25.11-1 does the difference.
Comment 7 Fedora Update System 2013-11-28 05:37:11 EST
initial-setup-0.3.10.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/initial-setup-0.3.10.1-1.fc20
Comment 8 Paul Whalen 2013-11-28 10:06:19 EST
Vratislav, 

Thanks for the quick update, initial-setup-0.3.10.1-1.fc20 now shows all spokes on ARM.
Comment 9 Vratislav Podzimek 2013-11-29 01:59:07 EST
(In reply to Paul Whalen from comment #8)
> Vratislav, 
> 
> Thanks for the quick update, initial-setup-0.3.10.1-1.fc20 now shows all
> spokes on ARM.
Wonderful! :)
Comment 10 Fedora Update System 2013-12-04 11:53:20 EST
initial-setup-0.3.10.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.